Index: lemon/topology.h
===================================================================
--- lemon/topology.h	(revision 1767)
+++ lemon/topology.h	(revision 1793)
@@ -71,5 +71,5 @@
   /// Count the number of connected components of an undirected graph
   ///
-  /// \param g The graph. In must be undirected.
+  /// \param graph The graph. It should be undirected.
   /// \return The number of components
   template <typename UndirGraph>
@@ -114,6 +114,6 @@
   /// \image latex connected_components.eps "Connected components" width=\textwidth
   ///
-  /// \param g The graph. In must be undirected.
-  /// \retval comp A writable node map. The values will be set from 0 to
+  /// \param graph The graph. It should be undirected.
+  /// \retval compMap A writable node map. The values will be set from 0 to
   /// the number of the connected components minus one. Each values of the map
   /// will be set exactly once, the values of a certain component will be
@@ -238,5 +238,5 @@
   /// \see connected
   ///
-  /// \waning Empty graph is not strongly connected.
+  /// \warning Empty graph is not strongly connected.
   template <typename Graph>
   bool stronglyConnected(const Graph& graph) {
@@ -292,5 +292,5 @@
   /// directed paths in both direction.
   ///
-  /// \param g The graph.
+  /// \param graph The graph.
   /// \return The number of components
   template <typename Graph>
@@ -356,6 +356,10 @@
   /// \image latex strongly_connected_components.eps "Strongly connected components" width=\textwidth
   ///
-  /// \param g The graph.
-  /// \retval comp A writable node map. The values will be set from 0 to
+  /// \param graph The graph.
+  /// \param compMap A writable node map. The values will be set from 0 to
+  /// the number of the connected components minus one. Each values of the map
+  /// will be set exactly once, the values of a certain component will be
+  /// set continuously.
+  /// \retval compMap A writable node map. The values will be set from 0 to
   /// the number of the strongly connected components minus one. Each values 
   /// of the map will be set exactly once, the values of a certain component 
@@ -421,7 +425,7 @@
   /// The strongly connected components are separated by the cut edges.
   ///
-  /// \param g The graph.
-  /// \retval comp A writable edge map. The values will be set true when
-  /// the edge is cut edge otherwise false.
+  /// \param graph The graph.
+  /// \retval cutMap A writable node map. The values will be set true when the
+  /// edge is a cut edge.
   ///
   /// \return The number of cut edges
@@ -759,6 +763,6 @@
   ///
   /// \param graph The graph.
-  /// \retval comp A writable undir edge map. The values will be set from 0 to
-  /// the number of the biconnected components minus one. Each values 
+  /// \retval compMap A writable undir edge map. The values will be set from 0
+  /// to the number of the biconnected components minus one. Each values 
   /// of the map will be set exactly once, the values of a certain component 
   /// will be set continuously.
@@ -803,5 +807,5 @@
   ///
   /// \param graph The graph.
-  /// \retval comp A writable edge map. The values will be set true when
+  /// \retval cutMap A writable edge map. The values will be set true when
   /// the node separate two or more components.
   /// \return The number of the cut nodes.
@@ -1086,5 +1090,5 @@
   ///
   /// \param graph The graph.
-  /// \retval comp A writable node map. The values will be set from 0 to
+  /// \retval compMap A writable node map. The values will be set from 0 to
   /// the number of the biconnected components minus one. Each values 
   /// of the map will be set exactly once, the values of a certain component 
@@ -1130,5 +1134,5 @@
   ///
   /// \param graph The graph.
-  /// \retval comp A writable node map. The values will be set true when the
+  /// \retval cutMap A writable node map. The values will be set true when the
   /// edge is a cut edge.
   /// \return The number of cut edges.
@@ -1188,6 +1192,6 @@
   /// Sort the nodes of a DAG into topolgical order.
   ///
-  /// \param g The graph. In must be directed and acyclic.
-  /// \retval comp A writable node map. The values will be set from 0 to
+  /// \param graph The graph. It should be directed and acyclic.
+  /// \retval order A writable node map. The values will be set from 0 to
   /// the number of the nodes in the graph minus one. Each values of the map
   /// will be set exactly once, the values  will be set descending order.
@@ -1228,5 +1232,5 @@
   /// that the given graph is DAG.
   ///
-  /// \param g The graph. In must be directed and acyclic.
+  /// \param graph The graph. It should be directed and acyclic.
   /// \retval order A readable - writable node map. The values will be set 
   /// from 0 to the number of the nodes in the graph minus one. Each values 
